//+------------------------------------------------------------------+
//|                                                   Color Bars.mq4 |
//|                      Copyright  2011, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Aqua
#property indicator_color2 Aqua
#property indicator_width2 2

extern int N = 35;

double ExtMapBuffer1[];
double ExtMapBuffer2[];

int init()
{
   int nn=1;
   if(Digits==3 || Digits==5) nn=10;
   N = N * nn;
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexEmptyValue(0,0.0);
   SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexEmptyValue(1,0.0);
   return(0);
}

int start()
{
   int limit;
   int counted_bars=IndicatorCounted();
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   for(int i=0; i<limit; i++)
   {
      if (High[i] - Low[i] <= N*Point)
      {
         ExtMapBuffer1[i] = Low[i];
         ExtMapBuffer2[i] = High[i];
      }
      else
      {
         ExtMapBuffer1[i] = EMPTY_VALUE;
         ExtMapBuffer2[i] = EMPTY_VALUE;
      }
   }
   return(0);
}
//+------------------------------------------------------------------+